#!/bin/bash
#A script to allow a simple configuration of the latency emulation of the gnet
#It generates a simple configuration file to do what we want to do
#
# Copyright or Copr. INRIA/RESO - Romaric GUILLIER, Pascale VICAT-BLANC PRIMET 
#
# Pascale VICAT-BLANC PRIMET - <pascale.primet@inria.fr>
# Romaric GUILLIER           - <romaric.guillier@ens-lyon.fr>
# This software is governed by the CeCILL  license under French law and
# abiding by the rules of distribution of free software.  You can  use, 
# modify and/ or redistribute the software under the terms of the CeCILL
# license as circulated by CEA, CNRS and INRIA at the following URL
# "http://www.cecill.info". 
# 
# As a counterpart to the access to the source code and  rights to copy,
# modify and redistribute granted by the license, users are provided only
# with a limited warranty  and the software's author,  the holder of the
# economic rights,  and the successive licensors  have only  limited
# liability. 
# 
# In this respect, the user's attention is drawn to the risks associated
# with loading,  using,  modifying and/or developing or reproducing the
# software by the user in light of its specific status of free software,
# that may mean  that it is complicated to manipulate,  and  that  also
# therefore means  that it is reserved for developers  and  experienced
# professionals having in-depth computer knowledge. Users are therefore
# encouraged to load and test the software's suitability as regards their
# requirements in conditions enabling the security of their systems and/or 
# data to be ensured and,  more generally, to use and operate it in the 
# same conditions as regards security. 
# 
# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL license and that you accept its terms.
# 
# For more information, see the file COPYING
#
# $Id: config_gnet.sh,v 1.2 2008-11-06 11:26:39 rguillie Exp $


help()
{
cat <<EOF
Usage $0 [option value]
 
    -h|--help: display this and exit
    -l|--latency: latency (ms) value to emulate
                  (default: $_latency )
    -r|--reset: resetting  

EOF

exit 0

}

#Setting default options
_latency=0
_reset=0


#Handling the options
while [ $# -gt 0 ]; do

    case $1 in
	-h|--help)
	    help
	;;
	-l|--latency)
	    shift
	    _latency=$1
	    shift
	;;
	-r|--resetting)
	    shift
	    _reset=1
	    _latency=0
	    shift
	;;
	*)
	    echo "$1: Unknown option"
	    help
	;;
   esac
done

if [ $_reset -eq 1 ]; then
    #We need to reset the gnet


else



fi