#!/bin/bash
#A simple script to wrap around the CLPBar application to have something 
#silky-smooth for the train-wreck demo
#
# Copyright or Copr. INRIA/RESO - Romaric GUILLIER, Pascale VICAT-BLANC PRIMET 
#
# Pascale VICAT-BLANC PRIMET - <pascale.primet@inria.fr>
# Romaric GUILLIER           - <romaric.guillier@ens-lyon.fr>
# This software is governed by the CeCILL  license under French law and
# abiding by the rules of distribution of free software.  You can  use, 
# modify and/ or redistribute the software under the terms of the CeCILL
# license as circulated by CEA, CNRS and INRIA at the following URL
# "http://www.cecill.info". 
# 
# As a counterpart to the access to the source code and  rights to copy,
# modify and redistribute granted by the license, users are provided only
# with a limited warranty  and the software's author,  the holder of the
# economic rights,  and the successive licensors  have only  limited
# liability. 
# 
# In this respect, the user's attention is drawn to the risks associated
# with loading,  using,  modifying and/or developing or reproducing the
# software by the user in light of its specific status of free software,
# that may mean  that it is complicated to manipulate,  and  that  also
# therefore means  that it is reserved for developers  and  experienced
# professionals having in-depth computer knowledge. Users are therefore
# encouraged to load and test the software's suitability as regards their
# requirements in conditions enabling the security of their systems and/or 
# data to be ensured and,  more generally, to use and operate it in the 
# same conditions as regards security. 
# 
# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL license and that you accept its terms.
# 
# For more information, see the file COPYING
#
# $Id: launch_bar.sh,v 1.3 2008-11-06 11:26:40 rguillie Exp $


help()
{
cat <<EOF

A script to launch a client for the NXE that is supposed to work with the CLPBar application
Usage: $0 [option value]

 
   -h|--help: display this and exit
   --pid:  the pid of the calling NXE process
   -v|--volume : indicates the volume of data to send
                 (default: $_volume )
   -r|--repetition: the number of times we should repeat the process of sending a given volume   
                   (default: $_repetition )   
   -i|--interval: the time to wait between two new transfers
                   (default: $_interval )
   
EOF

echo "KO!"

exit 0
}

#Default options
_pid=0
_repetition=1000
_volumeunit="3000M"
_interval=10
 
_args=$*
_path=`pwd`"/bin"

#Handling the options

while [ $# -gt 0 ]; do

    case $1 in
	-h|--help)
	    help
	;;
	--pid)
	    shift
	    _pid=$1
	    shift
	;;
# 	-d|--date)
# 	    shift
# 	    _date=$1
# 	    shift
# 	;;
# 	-t|--timeout)
# 	    shift
# 	    _timeout=$1
# 	    shift
# 	;;
# 	-b|--baseport)
# 	    shift
# 	    _baseport=$1
# 	    shift
# 	;;
	-v|--volume)
	    shift
	    _volumeunit=$1
	    shift
	;;
# 	-c|--continuous)
# 	    shift
# 	    _continuous=1
# 	;;
# 	-p|--parallel)
# 	    shift
# 	    _parallel=$1
# 	    shift
#         ;;
# 	-w|--window)
# 	    shift
# 	    _buffer_size=$1
# 	    shift
#         ;;
# 	-u|--udp)
# 	    shift
# 	    _udp=1
# 	    shift
# 	;;
# 	-bd|--bandwidth)
# 	    shift
# 	    _bandwidth=$1
# 	    shift
# 	;;
# 	-tg|--target)
# 	    shift
# 	    _target=$1
# 	    shift
# 	;;
# 	-pr|--protocol)
# 	    shift
# 	    _protocol=$1
# 	    shift
#         ;;
	-r|--repetition)
	    shift
	    _repetition=$1
	    shift
	;;
	-i|--interval)
	    shift
	    _interval=$1
	    shift
	;;
	--path)
	    shift
	    _path=$1
	    shift
	;;
	*)
	    #Skipping unknow option
	    shift
	    shift
#	    echo "$1: Unknown option"
#	    help
	;;
    esac
done


#Separing unit and volume 
unit=`echo $_volumeunit | sed 's/[0-9]*//' `
volume=`echo $_volumeunit | sed 's/[M,K]$//'`

index=1


while [ $_repetition -gt $index ]; do

    echo "Repetition "$index" out of "$_repetition " ($_volumeunit, $_interval) " 
    date +%T
    #
    $_path/launch_client_bar.sh $_args 2> /tmp/stderr | bar -s $volume -dan -nc -nth -ns -dt -de -dp >/dev/null 

    if [ -n "`cat /tmp/stderr | grep \"Connection refused\"`" ]; then
	    echo "OK!"
	    break
    fi

    index=`expr $index + 1`
    sleep $_interval
done
