#!/bin/bash
#A script to launch a background server 
#
#
# Copyright or Copr. INRIA/RESO - Romaric GUILLIER, Pascale VICAT-BLANC PRIMET 
#
# Pascale VICAT-BLANC PRIMET - <pascale.primet@inria.fr>
# Romaric GUILLIER           - <romaric.guillier@ens-lyon.fr>
# This software is governed by the CeCILL  license under French law and
# abiding by the rules of distribution of free software.  You can  use, 
# modify and/ or redistribute the software under the terms of the CeCILL
# license as circulated by CEA, CNRS and INRIA at the following URL
# "http://www.cecill.info". 
# 
# As a counterpart to the access to the source code and  rights to copy,
# modify and redistribute granted by the license, users are provided only
# with a limited warranty  and the software's author,  the holder of the
# economic rights,  and the successive licensors  have only  limited
# liability. 
# 
# In this respect, the user's attention is drawn to the risks associated
# with loading,  using,  modifying and/or developing or reproducing the
# software by the user in light of its specific status of free software,
# that may mean  that it is complicated to manipulate,  and  that  also
# therefore means  that it is reserved for developers  and  experienced
# professionals having in-depth computer knowledge. Users are therefore
# encouraged to load and test the software's suitability as regards their
# requirements in conditions enabling the security of their systems and/or 
# data to be ensured and,  more generally, to use and operate it in the 
# same conditions as regards security. 
# 
# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL license and that you accept its terms.
# 
# For more information, see the file COPYING
#
# $Id: launch_server_background.sh,v 1.2 2008-11-06 11:26:41 rguillie Exp $



help()
{

cat <<EOF

A script to launch a background server using D-ITG
Usage: $0 [option value]

  -h|--help: display this and exit
  -t|--timeout: the max time before the script commits suicide
                (default: $_timeout )  
  -d|--date: the date at which the process is supposed to start
                 (default: $_date )
  --pid: the pid of the calling NXE process
   

EOF

echo "KO!"
exit 0

}

#Setting default options
_date=0
_pid=0
_timeout=4200


#Handling 

while [ $# -gt 0 ]; do


    case $1 in
	-h|--help)
	    help
	;;
	-t|--timeout)
	    shift
	    _timeout=$1
	    shift
	;;
	-d|--date)
	    shift
	    _date=$1
	    shift
        ;;
	--pid)
	    shift
	    _pid=$1
	    shift
	;;
	--target)
	    shift
	    _target=$1
	    shift
	;;
	*)
	    echo "$1: Unknown option"
	    help
	;;
    esac
done




ITGRecv > /dev/null 2> /dev/null &


sleep $_timeout
kill -9 $!
kill -9 $!


echo "OK!"

exit 0
