#!/bin/bash
#A script to wrap around sort_log.sh by creating the appropriate folders
#by partial-parsing of the log file names
#
# Copyright or Copr. INRIA/RESO - Romaric GUILLIER, Pascale VICAT-BLANC PRIMET 
#
# Pascale VICAT-BLANC PRIMET - <pascale.primet@inria.fr>
# Romaric GUILLIER           - <romaric.guillier@ens-lyon.fr>
# This software is governed by the CeCILL  license under French law and
# abiding by the rules of distribution of free software.  You can  use, 
# modify and/ or redistribute the software under the terms of the CeCILL
# license as circulated by CEA, CNRS and INRIA at the following URL
# "http://www.cecill.info". 
# 
# As a counterpart to the access to the source code and  rights to copy,
# modify and redistribute granted by the license, users are provided only
# with a limited warranty  and the software's author,  the holder of the
# economic rights,  and the successive licensors  have only  limited
# liability. 
# 
# In this respect, the user's attention is drawn to the risks associated
# with loading,  using,  modifying and/or developing or reproducing the
# software by the user in light of its specific status of free software,
# that may mean  that it is complicated to manipulate,  and  that  also
# therefore means  that it is reserved for developers  and  experienced
# professionals having in-depth computer knowledge. Users are therefore
# encouraged to load and test the software's suitability as regards their
# requirements in conditions enabling the security of their systems and/or 
# data to be ensured and,  more generally, to use and operate it in the 
# same conditions as regards security. 
# 
# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL license and that you accept its terms.
# 
# For more information, see the file COPYING
#
# $Id: sort_log_date.sh,v 1.2 2008-11-06 11:26:41 rguillie Exp $


help()
{
cat <<EOF
A script to wrap around sort_log.sh by creating the appropriate folders
by partial-parsing of the log file names

Usage: $0 a_node_name naming_pattern

EOF
exit 0
}


if [ $# -lt 2 ]; then
    help
fi

nodename=$1
namingpattern=$2


#Browsing the list of files containing the name of a given node 
#Assuming the files are named according to the launch_server/launch_client syntax
for fichier in `ls *$nodename*_flow1*.log`; do

#Parsing the file name to retrieve the useful info
#nodename=`echo $fichier | cut -f2 -d'_'`
pid=`echo $fichier | cut -f3 -d'_'`
basedate=`echo $fichier | cut -f4 -d'_'` 
protocol=`echo $fichier | cut -f5 -d'_'`
buffersize=`echo $fichier | cut -f6 -d'_'`



dirname=$protocol"_"$buffersize"_"$namingpattern

echo "Creating: $dirname"
mkdir $dirname

#Sorting the file into the folders
sort_log.sh $protocol $dirname $pid"_"$basedate

done

#Sorting the folders according to experiments is left to another script or the
#user
